# Generated by go2rpm
%bcond_without check

# https://github.com/tinygo-org/go-llvm
%global goipath         tinygo.org/x/go-llvm
%global forgeurl        https://github.com/tinygo-org/go-llvm
%global commit          1ff21df335666b54d9b3c601c11800285e00939d

%gometa

%global godevelheader %{expand:
Requires:       llvm-devel}

%global common_description %{expand:
This library provides bindings to a system-installed LLVM.}

%global golicenses      LICENSE.txt
%global godocs          README.markdown

Name:           %{goname}
Version:        0
Release:        0.9%{?dist}
Summary:        Go bindings to a system-installed LLVM

License:        NCSA
URL:            %{gourl}
Source0:        %{gosource}
Patch0001:      0001-NFC-Format-code-with-go-fmt.patch
Patch0002:      0002-Run-go-fmt-on-remaining-files.patch
Patch0003:      0003-Sync-IR-changes-from-LLVM-9.0.1.patch
Patch0004:      0004-Use-C-14-standard-when-compiling-with-LLVM-10.patch
Patch0005:      0005-Add-support-for-LLVM-10.patch

BuildRequires:  gcc-c++
BuildRequires:  llvm-devel

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

# Set current LLVM paths.
%if %{fedora} >= 32
make config VERSION=10.0.0 LDFLAGS=$(llvm-config --libs) BUILDDIR=%{_prefix}
%else
make config VERSION=9.0.0 LDFLAGS=$(llvm-config --libs) BUILDDIR=%{_prefix}
%endif

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Feb 11 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.9.20200207git1ff21df
- Add support for LLVM 10

* Fri Feb 07 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.8.20200207git1ff21df
- Update to latest commit

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.20190925git95bc4ff
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Sep 25 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.6.20190925git95bc4ff
- Update to latest commit

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.20190604git0713e35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jul 04 01:54:04 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20190604git0713e35
- Update to new macros

* Fri Jun 07 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.3.20190604git0713e35
- Update to latest commit
- Add gcc-c++ to Requires

* Sat Apr 27 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.2.20190427git7707ae5
- Add llvm-devel to Requires

* Thu Apr 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.20190427git7707ae5
- First package for Fedora
